Name:           pbench-fio
Version:     3.3
Release:     1%{?gdist}%{!?gdist:}
Summary:        Jens Axboe's fio benchmark

License:        GPLv3+
URL:            http://git.kernel.dk/?p=fio.git;a=summary
Source0:        file:///tmp/%{name}-%{version}.tar.gz
Buildarch:      x86_64

%if 0%{?rhel} == 6 || 0%{?rhel} == 7
%define pandaspkg python-pandas
%else
%define pandaspkg python2-pandas
%endif

%if 0%{?rhel} == 6
%define librbdpkg %{nil}
%define librbddevelpkg %{nil}
%else
%define librbdpkg librbd1 
%define librbddevelpkg librbd1-devel
%endif

BuildRequires:  libaio-devel %{librbddevelpkg} zlib-devel

Requires:       libaio librbd1 zlib %{pandaspkg}
Obsoletes:      fio
# Conflicts:      fio

#Patch0: 1-stat.patch
#Patch1: 2-client.patch
#Patch2: 3-hostfile.patch
#Patch3: 4-singlefs.patch
#Patch4: 5-stdint.patch

%description
Jens Axboe's fio benchmark

%prep
%setup -q

#%patch0 -p1
#%patch1 -p1
#%patch2 -p1
#%patch3 -p1
#%patch4 -p1

%build
./configure
make

%install
rm -rf %{buildroot}

make %{?_smp_mflags} DESTDIR=$RPM_BUILD_ROOT install

%post

%preun

%postun

%files
# /usr/local/bin/axmap
/usr/local/bin/fio-btrace2fio
/usr/local/bin/fio-dedupe
/usr/local/bin/fio
/usr/local/bin/fio2gnuplot
/usr/local/bin/fio_generate_plots
/usr/local/bin/genfio
/usr/local/bin/fio-genzipf
/usr/local/bin/fio-verify-state
#/usr/local/bin/fio_latency2csv.py
/usr/local/bin/fio_jsonplus_clat2csv
/usr/local/bin/fiologparser.py
/usr/local/bin/fiologparser_hist.py
# /usr/local/bin/ieee754
# /usr/local/bin/lfsr-test
# /usr/local/bin/stest
/usr/local/man/man1/fio.1
/usr/local/man/man1/fio2gnuplot.1
/usr/local/man/man1/fio_generate_plots.1
/usr/local/man/man1/fiologparser_hist.py.1
/usr/local/share/fio/graph2D.gpm
/usr/local/share/fio/graph3D.gpm
/usr/local/share/fio/math.gpm

%doc
